class ReverseTransactionModel {
  String porOrgacode = "";
  String nodeId = "";
  String sgtGntrnumber = "";

  ReverseTransactionModel({this.porOrgacode = "", this.nodeId = "", this.sgtGntrnumber = ""});

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': this.porOrgacode,
      'nodeId': this.nodeId,
      'sgtGntrnumber': this.sgtGntrnumber,
    };
  }

  factory ReverseTransactionModel.fromMap(Map<String, dynamic> map) {
    return ReverseTransactionModel(
      porOrgacode: map['porOrgacode'] as String,
      nodeId: map['nodeId'] as String,
      sgtGntrnumber: map['sgtGntrnumber'] as String,
    );
  }

  @override
  String toString() {
    return 'ReverseTransactionModel{porOrgacode: $porOrgacode, nodeId: $nodeId, sgtGntrnumber: $sgtGntrnumber}';
  }
}
